Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061847 - Remove jetty.xml from ActiveMQ configuration
Summary: Remove jetty.xml from ActiveMQ configuration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 2.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Julie
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On: 1057726
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 18:17 UTC by Brenton Leanhardt
Modified: 2017-03-08 17:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1057726
Environment:
Last Closed: 2014-02-21 05:36:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Brenton Leanhardt 2014-02-05 18:30:56 UTC
In the '7.6.3. Verifying the ActiveMQ Configuration' we would like a post verification step that explains how to disable the embedded jetty for ActiveMQ.  This service is unnecessary for OpenShift and therefore should be disabled.

This can be done by editing /etc/activemq/activemq.xml as is done in the installer:

https://github.com/openshift/openshift-extras/pull/293/files

If you would like to include a oneliner that will work with the default packaged activemq.xml:

sed -ie "s/\(.*import resource.*jetty.xml.*\)/<\!-- \1 -->/" /etc/activemq/activemq.xml

"service activemq restart" is required after this change is made.


Note You need to log in before you can comment on or make changes to this bug.